Credentials

Send a credential

Use this endpoint to send a published credential to a recipient. You can only send credentials with `status = "issued"`.

Use this endpoint to send a published credential to a recipient. You can only send credentials with status = "issued".

Currently, the only supported deliveryMethod is email. Certifier will send an email to the recipient using the email template configured for the group the credential belongs to.

If you are looking for an all-in-one solution that simultaneously creates, issues, and sends a credential, check the Create, issue, and send a credential endpoint.

POST
/v1/credentials/{id}/send

Authorization

BearerAuth
AuthorizationBearer <token>

Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.

In: header

Path Parameters

id*string

The unique ID of the credential

Header Parameters

Certifier-Version*string

API version header. Required for all requests.

Request Body

application/json

deliveryMethod*string

The way you want to deliver the credential. The only available deliveryMethod for now is email

Value in"email"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.certifier.io/v1/credentials/01hz2f0c9ryvzajg20jqh9taab/send" \  -H "Certifier-Version: 2022-10-26" \  -H "Content-Type: application/json" \  -d '{    "deliveryMethod": "email"  }'
{
  "id": "01hz2f0c9ryvzajg20jqh9taab",
  "publicId": "124a8110-1af5-4747-9308-e9d06bd1852a",
  "groupId": "01g90279gp5sbmfek7wymcsvec",
  "status": "draft",
  "recipient": {
    "id": "01jmerb62apgachxwx6db76c7s",
    "name": "John Doe",
    "email": "john.doe@example.com"
  },
  "issueDate": "2022-01-01",
  "expiryDate": "2023-01-01",
  "attributes": {
    "recipient.name": "John Doe"
  },
  "customAttributes": {
    "custom.mentor": "Jane Doe"
  },
  "createdAt": "2022-01-01T00:00:00.000Z",
  "updatedAt": "2022-01-01T00:00:00.000Z"
}

{
  "error": {
    "code": "missing_version",
    "message": "The request is missing the required Certifier-Version header"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "A valid authentication token was not provided with the request"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "The requested resource does not exist"
  }
}
{
  "error": {
    "code": "precondition_failed",
    "message": "The required preconditions were not met"
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "You have exceeded the rate limit"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "There was a problem on Certifier's end"
  }
}